<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

$numalbaran=$_GET['numalbaran'];

$albaranesCrossDocking=arreglaArrayPXMobileProxiumResult($_SESSION['orden']['AlbaranesCrossDocking']);

foreach($albaranesCrossDocking as $item) if($item['NumAlbaran']==$numalbaran) $albaran=$item;

?>

<h2>Albarán Nº <?php echo $numalbaran; ?></h2>
<p>Productos incluidos</p>

<table class="tablaFormateada anchoMaximo" style="font-size:0.9em">
		<tr>
			<th>Código</th>
			<th>Descripción</th>
			<?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
				<?php if($comportamiento['Activo']) { ?><th><?php echo $comportamiento['Nombre']; ?></th><?php } ?>
			<?php } ?>
            <?php if($_SESSION['parametrosSGA']['ReferenciaCliEntrada']=='S') { ?>
            <th>Ref. cliente</th>
            <?php } ?>
			<th>Cant.</th>
			<?php if($_SESSION['verEnCajas']=='S') { ?><th>Cajas</th><?php } ?>
            <th>Preparado</th>
		</tr>
		<?php
	
		foreach(arreglaArrayPXMobileProxiumResult($albaran['Productos']) as $producto) {

		$datos=$producto['Datos']['PXMobileProxiumResult'];
		 
		?>
		<tr class="verde">
			<td><?php echo $producto['Codigo']; ?></td>
			<td align="left" style="max-width:400px;word-wrap:break-word;"><?php echo $producto['Descripcion']; ?></td>
			<?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
				<?php if($comportamiento['Activo']=='S') { ?>
                    <td>
                    <?php
                    if($producto['ControlNumSerie']=='S' && $comportamiento['Codigo']=='NS') {
                        //Excepcionalmente el comportamiento Numero Serie muestra un popup, ya que las lineas se agrupan
                        ?><img class="verNumerosSerie clicable" src="<?php echo DIR_IMAGENES; ?>/barcode-buscar.png" style="width:60px" numeros="<?php echo $cadenaNumerosSerie; ?>"/><?php
                    }
                    else  {
                        foreach($datos as $dato) {
                            if($dato['Codigo']==$comportamiento['Codigo']) {
                                echo formateaTipo($dato['Valor'],$comportamiento['Tipo']);
                                break;
                            }
                        }
                    }
                    ?>
                    </td>
				<?php } ?>
			<?php } ?>
            <?php if($_SESSION['parametrosSGA']['ReferenciaCliEntrada']=='S') { ?>
            <td align="center"><?php echo $producto['RefCliente']; ?></td>
            <?php } ?>
			<td align="right"><?php echo $producto['Cantidad']; //echo number_format($producto['Cantidad'],0,',','.'); ?></td>
			<?php if($_SESSION['verEnCajas']=='S') { ?><td align="right"><?php echo $producto['Cajas']; //echo number_format($producto['Cajas'],2,',','.'); ?></td><?php } ?>
			<td align="right"><?php echo $producto['Preparado']; ?></td>
		</tr>
		<?php
		
		} //Fin iteracion productos
		
		?>
    </table>


<p><input type="submit" name="botonCerrarPopupCrossdocking" id="botonCerrarPopupCrossdocking" value="Cerrar" class="boton"/></p>

<script>
		
	$(document).ready(function() {
	
		$('#botonCerrarPopupCrossdocking').on("click",function(){
			
			$('#popupCrossdockingContenido').html('');
				
			$('#popupCrossdockingContenido').hide();
			$('#popupCrossdocking').hide();
					
		});
		
	});
		
</script>